# $Revision: 1.7 $, $Date: 2004/12/25 13:14:35 $
#
# WARNING: needed test on Zope 2.7.x and Plone 2.x
#
%define		zope_subname	ZPhotoSlides
Summary:	Product is a web photo gallery for the dynamic wev-based server Zope
Summary(pl):	Produkt umoliwiajcy tworzenie dynamicznych galerii zdj dla Zope
Name:		Zope-%{zope_subname}
Version:	2.0
Release:	3
License:	GPL v2+
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/sourceforge/zphotoslides/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	9dd96e47716ba4950d6b222cdd82edb3
URL:		http://www.zphotoslides.org/
%pyrequires_eq	python-modules
Requires:	python-Imaging
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ZPhotoSlides is a web photo gallery for the dynamic wev-based server
Zope.

%description -l pl
ZPhotoSlides umoliwia tworzenie dynamicznych galerii zdj dla
serwera Zope.

%prep
%setup -q -n %{zope_subname}
find . -type d -name CVS | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,dtml,help,i18n,photo_edition,skins,www,zpt,country*,*.py,version.txt,refresh.txt} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO UPGRADE
%{_datadir}/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-ZPhotoSlides.spec,v $
Revision 1.7  2004/12/25 13:14:35  saq
- release 3 for rebuild with python 2.4

Revision 1.6  2004/12/19 22:49:32  ciesiel
- added missing folder skins

Revision 1.5  2004/10/10 19:27:29  ciesiel
- upgraded to version 2.0

Revision 1.4  2004/07/28 08:03:22  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/03/15 08:40:11  ciesiel
- upgraded to version 1.3 (no more LocalFS)

Revision 1.2  2004/01/04 02:26:02  ankry
- cosmetics

Revision 1.1  2004/01/03 13:29:23  ciesiel
- initial release
- Warning: this product not ready yet for Zope 2.7* and Plone 2.0*
